IAgent (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.agent.rt
Interface IAgent

    public interface IAgent

Runtime API and MBean agent interface.

Method Summary
`void` | `dump(boolean reset)` Triggers a dump of the current execution data through the configured output.
`byte[]` | `getExecutionData(boolean reset)` Returns current execution data.
`String` | `getSessionId()` Returns current a session identifier.
`String` | `getVersion()` Returns version of JaCoCo.
`void` | `reset()` Resets all coverage information.
`void` | `setSessionId(String id)` Sets a session identifier.

Method Detail

### getVersion

    String getVersion()

  Returns version of JaCoCo.

  Returns:
    version of JaCoCo

### getSessionId

    String getSessionId()

  Returns current a session identifier.

  Returns:
    current session identifier

### setSessionId

    void setSessionId(String id)

  Sets a session identifier.

  Parameters:
    `id` - new session identifier

### reset

    void reset()

  Resets all coverage information.

### getExecutionData

    byte[] getExecutionData(boolean reset)

  Returns current execution data.

  Parameters:
    `reset` - if `true` the current execution data is cleared afterwards
  Returns:
    dump of current execution data in JaCoCo binary format

### dump

    void dump(boolean reset)
              throws IOException

  Triggers a dump of the current execution data through the configured output.

  Parameters:
    `reset` - if `true` the current execution data is cleared afterwards
  Throws:
    `IOException` - if the output can't write execution data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.